package tsStreamRipper.dream.webinterface.parser;

import java.util.logging.Level;
import java.util.logging.Logger;

import tsStreamRipper.dream.filestream.FileStream;
import tsStreamRipper.dream.webstreaming.IEitCallback;

/**
 * EPG Parser für SWISS SATELLITE RADIO
 */
public class SwissSatelliteRadioEpgInfo implements IEitCallback
{
    private static final Logger log = Logger.getLogger(SwissSatelliteRadioEpgInfo.class.getName());

    private FileStream fs = null;
    
    public SwissSatelliteRadioEpgInfo(FileStream fs)
    {
        this.fs = fs;
    }
    
    @Override
    public void setExtendedInfo(String extendedInfo)
    {
        // SWISS STALLITE RADIO sendet derzeit keine Extended Info
    }

    @Override
    public void setTitle(String title)
    {
        String[] epg = title.split("\\s-\\s");
        String interpret = epg[0];
        String album = epg[1];

        if (interpret != null && interpret.length() > 0)
        {
            try
            {
                if (log.isLoggable(Level.FINER))
                    log.finer("Interpret : '" + interpret + "'");
                fs.setInterpret(interpret);
                
                if (log.isLoggable(Level.FINER))
                    log.finer("setting Album : '" + album + "'");
                fs.setAlbum(album);
            }
            catch (Exception e)
            {
                log.warning(String.format("Exception - Kann Titel nicht setzen. EPG Data : %s", title));
            }
        }
        else
        {
            log.warning(String.format("Kann Titel nicht setzen. EPG Data : '%s'", title));
        }

        if (album != null && album.length() > 0)
        {
            try
            {
                if (log.isLoggable(Level.FINER))
                    log.finer("setting Album : '" + album + "'");
                fs.setAlbum(album);
            }
            catch (Exception e)
            {
                log.warning(String.format("Exception - Kann Album nicht setzen. EPG Data : %s", title));
            }
        }
        else
        {
            log.warning(String.format("Kann Album nicht setzen. EPG Data : '%s'", title));
        }
    }

    @Override
    public void setEventDescription(String eventDescription)
    {
        // Ignored
    }
}
