package tsStreamRipper.dream.webinterface.parser;

import org.xml.sax.SAXException;

import tsStreamRipper.dream.webinterface.CommandException;

/**
 * Prüft, ob das zapping geklappt hat.
 */
public class ZapCommandParser extends BaseCommandParser
{

    @Override
    protected String[] getKeysOfInterest()
    {
        return new String[]
        { "e2state", "e2statetext" };
    }

    @Override
    public void endDocument() throws SAXException
    {
        super.endDocument();

        String state = getKeyValues().get("e2state");
        if (state != null && !"".equalsIgnoreCase(state))
        {
            boolean b = Boolean.valueOf(state);
            if (!b)
            {
                throw new CommandException(String.format("Zapping fehlgeschlagen : %s", getKeyValues().get("e2statetext")));
            }
        }
    }
}
