package tsStreamRipper.util;

import java.io.BufferedOutputStream;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.IOException;
import java.util.logging.Logger;

import tsStreamRipper.mpeg.MPEG2TransportStreamDemultiplexer;
import tsStreamRipper.mpeg.MPEG2TransportStreamReader;

/**
 * Testklasse zum Dekodieren eine TS-Files.
 */
public class TestDecodingFromFile
{
    private static final Logger log = Logger.getLogger(TestDecodingFromFile.class.getName());

    public static void main(String[] args) throws IOException
    {
        TestDecodingFromFile stream = new TestDecodingFromFile();
        String inFileName = "infile.ts";
        String outFileName = "outfile.mp3";
        stream.fromFile(inFileName, outFileName);
    }

    private void fromFile(String inFileName, String outFileName) throws IOException
    {
        MPEG2TransportStreamDemultiplexer decoder = new MPEG2TransportStreamDemultiplexer(new BufferedOutputStream(new FileOutputStream(new File(outFileName))));
        MPEG2TransportStreamReader reader = new MPEG2TransportStreamReader(new FileInputStream(new File(inFileName)), decoder);

        // Schleife : Transport-Stream auslesen ...
        do
        {
        }
        while (reader.decodeNextFrame());
        log.fine("Extraktion beendet.");
    }
}
