package tsStreamRipper.util.logging;

import java.io.ByteArrayInputStream;
import java.io.IOException;
import java.util.logging.LogManager;

/**
 * Dynamische Logging-Konfiguration
 */
public class Config
{
    public static void configureRuntimeLogging(boolean verbose, boolean guiLogging)
    {
        try
        {
            StringBuilder sb = new StringBuilder(1000);
            sb.append("handlers=java.util.logging.ConsoleHandler").append("\r\n");
            if (guiLogging)
            {
                sb.append("handlers=gui.ApplicationLogHandler").append("\r\n");
            }
            sb.append("java.util.logging.ConsoleHandler.formatter=tsStreamRipper.util.logging.LogFormatter").append("\r\n");
            if (verbose)
            {
                sb.append("java.util.logging.ConsoleHandler.level=FINEST").append("\r\n");
                sb.append("tsStreamRipper.level=FINE").append("\r\n");
            }
            else
            {
                sb.append("java.util.logging.ConsoleHandler.level=INFO").append("\r\n");
            }
            sb.append("org.jaudiotagger.level=SEVERE").append("\r\n");

            LogManager.getLogManager().readConfiguration(new ByteArrayInputStream(sb.toString().getBytes("ISO-8859-1")));
        }
        catch (SecurityException e)
        {
            e.printStackTrace();
        }
        catch (IOException e)
        {
            e.printStackTrace();
        }
    }
}
